<div class="container">
  <form
    class="form"
    #form="ngForm">
    <p *ngFor="let message of messages">{{message}}</p>
    <textarea
      id="message"
      name="message"
      required
      [(ngModel)]="message"
      class="control"
      rows="5">
    </textarea>
    <button
      class="control"
      [disabled]="form.invalid"
      (click)="sendMessage(message)">
      Add message
    </button>
    <div class="users">
      Users online:
      <span
        [class.online]="users > 0"
        [class.offline]="users < 0">
        {{users}}
      </span>
    </div>
  </form>
</div>
